Bug 465256 - Missing dirs at service startup
Missing dirs at service startup
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: ircd-ratbox (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 09:25 EDT by Juha Tuomala
Modified: 2017-04-06 06:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2008-10-02 09:25:57 EDT
Description of problem:
# service ircd start
Starting ircd: runuser: warning: cannot change directory to /var/run/ircd-ratbox: No such file or directory
ircd: version ircd-ratbox-2.2.8
ircd: pid 30683
ircd: running in background mode from /usr
                                                           [  OK  ]
# service ircd stop
Stopping ircd:                                             [  OK  ]

# service ircd start
Starting ircd: runuser: warning: cannot change directory to /var/run/ircd-ratbox: No such file or directory
ircd: version ircd-ratbox-2.2.8
ircd: pid 30738
ircd: running in background mode from /usr
                                                           [  OK  ]

Version-Release number of selected component (if applicable):
ircd-ratbox-2.2.8-2.el5

How reproducible:
always.
Comment 1 Juha Tuomala 2008-10-02 09:27:29 EDT
...and note that this is mock recompiled package in centos5, but that's app specific dir and should come along with the package.
Comment 2 Bug Zapper 2009-06-09 22:52:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:30:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Juha Tuomala 2009-07-20 07:04:57 EDT
[tuju@wasa EL-5]$ grep -A20 "%files" ircd-ratbox.spec |grep var
%dir %attr(750,ircd,ircd) %{_var}/log/ircd

Not fixed yet.
Comment 5 Fedora End Of Life 2017-04-06 06:36:43 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.